## com.lowagie.text.rtf.field
Class RtfAnchor

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfAnchor

All Implemented Interfaces:
  Element, MarkupAttributes, RtfBasicElement

    public class RtfAnchor

extends RtfField

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Werner Daehn (Werner.Daehn@BusinessObjects.com)

Field Summary
`private RtfPhrase` `content` The RtfPhrase to display for the url
`private static byte[]` `HYPERLINK` Constant for a hyperlink
`private java.lang.String` `url` The url of this RtfAnchor

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfAnchor(RtfDocument doc, Anchor anchor)` Constructs a RtfAnchor based on a RtfField

Method Summary
`protected byte[]` `writeFieldInstContent()` Write the field instructions for this RtfAnchor.
`protected byte[]` `writeFieldResultContent()` Write the field result for this RtfAnchor.

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setInHeader, setInTable, setRtfDocument, write`

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HYPERLINK

    private static final byte[] HYPERLINK

  Constant for a hyperlink

### url

    private java.lang.String url

  The url of this RtfAnchor

### content

    private RtfPhrase content

  The RtfPhrase to display for the url

Constructor Detail

### RtfAnchor

    public RtfAnchor(RtfDocument doc,
                     Anchor anchor)

  Constructs a RtfAnchor based on a RtfField

  Parameters:
    `doc` - The RtfDocument this RtfAnchor belongs to
    `anchor` - The Anchor this RtfAnchor is based on

Method Detail

### writeFieldInstContent

    protected byte[] writeFieldInstContent()
                                    throws java.io.IOException

  Write the field instructions for this RtfAnchor. Sets the field type to HYPERLINK and then writes the url.

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Returns:
    The field instructions for this RtfAnchor
  Throws:
    `java.io.IOException`

### writeFieldResultContent

    protected byte[] writeFieldResultContent()
                                      throws java.io.IOException

  Write the field result for this RtfAnchor. Writes the content of the RtfPhrase.

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Returns:
    The field result for this RtfAnchor
  Throws:
    `java.io.IOException`